import request from '@/utils/request'

// 查询列表
export function queryList(params) {
  return request({
    url: '/wbchemistrybaseinfo/queryWbChemistryBaseinfoByPagination',
    method: 'get',
    params
  })
}
// 添加基础信息接口
export function add(data) {
  return request({
    url: '/wbchemistrybaseinfo/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 根据id查询基础信息接口
export function getDetailById(id) {
  return request({
    url: '/wbchemistrybaseinfo/detail/' + id,
    method: 'get'
  })
}
// 编辑基础信息接口
export function updataInfo(data) {
  return request({
    url: '/wbchemistrybaseinfo/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 逻辑删除基础信息接口
export function deleteLogical(id) {
  return request({
    url: '/wbchemistrybaseinfo/deleteLogical/' + id,
    method: 'delete'
  })
}
// 导出信息接口
export function exporTable(param) {
  return request({
    url: '/wbchemistrybaseinfo/export',
    method: 'get',
    param,
    responseType: 'blob'
  })
}
